Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.nodes.mdx
Class TMdxEmptyNode

    java.lang.Object
      gudusoft.gsqlparser.nodes.TParseTreeNode
          gudusoft.gsqlparser.nodes.mdx.TMdxExpNode
              gudusoft.gsqlparser.nodes.mdx.TMdxEmptyNode

All Implemented Interfaces:
  Visitable

    public class TMdxEmptyNode

extends TMdxExpNode

Constructor Summary
`TMdxEmptyNode()`

Method Summary
`void` | `accept(TParseTreeVisitor v)`
`EMdxDataType` | `getMdxDataType()`
`java.lang.String` | `toString()` String representation of parse tree node including sub parse tree node

Methods inherited from class gudusoft.gsqlparser.nodes.TParseTreeNode
`addAllMyTokensToTokenList, doParse, getColumnNo, getDummyTag, getEndToken, getGsqlparser, getLineNo, getNodeType, getStartToken, init, init, init, init, init, init, setDummyTag, setEndToken, setEndToken, setGsqlparser, setNodeType, setStartToken, setStartToken, setString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TMdxEmptyNode

    public TMdxEmptyNode()

Method Detail

### getMdxDataType

    public EMdxDataType getMdxDataType()

  Specified by:
    `getMdxDataType` in class `TMdxExpNode`

### toString

    public java.lang.String toString()

  Description copied from class: `TParseTreeNode`
  String representation of parse tree node including sub parse tree node

  select f1 from t1 where f2 > 3

  toString() of this select statement will return whole text above including column, table and where condition.

  if we change where condition to "f2 = 3" by using `TParseTreeNode.setString(String)` of `TWhereClause.getCondition()` parse tree node,

  then, toString() of this select statement will return "select f1 from t1 where f2 = 3"

  Overrides:
    `toString` in class `TParseTreeNode`
  Returns:
    string representation of parse tree node including sub parse tree node.

### accept

    public void accept(TParseTreeVisitor v)

  Specified by:
    `accept` in interface `Visitable`
  Overrides:
    `accept` in class `TMdxExpNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD